package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 岗位培育关系
 * </p>
 *
 * @author wucl
 * @since 2023-04-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "岗位培育关系")
public class PostCultivate extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户岗位id
     */
    private Long userPostId;

    /**
     * 用户部门id
     */
    private Long userDepartmentId;

    /**
     * 父级用户id
     */
    private Long parentUserId;

    /**
     * 父级用户岗位id
     */
    private Long parentUserPostId;

    /**
     * 父级用户部门id
     */
    private Long parentUserDepartmentId;

    /**
     * 团队别名
     */
    private String alias;


}
