package com.dayou.service;
import com.dayou.entity.PostCultivate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.PostCultivateVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 岗位培育关系 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-04-06
 */
public interface IPostCultivateService extends IService<PostCultivate> {


    /**
     * 计算某个用户培育某岗位人数
     * @param postName
     * @return
     */
    Integer countCultivate(String postName,Long userId);

    Page<PostCultivateVO> getPage(Page page, PostCultivateVO postCultivateVO);
    
    Boolean update(PostCultivate postCultivate);

    Boolean delete(Long id);
}
